
Foreman - Feature #5914

Allow a host to upload its own facts and reports - Support masterless Puppet

05/23/2014 03:40 PM - Trey Dockendorf

Status: New   

Priority: Normal   

Assignee:    

Category: Puppet integration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

In better support masterless Puppet, and still rely on Puppet SSL authentication, it would be ideal to extend the authorization of

uploading facts to also allow a host to upload its own facts and reports.

Related issues:

Related to Foreman - Bug #2121: Unauthenticated YAML fact and reports importe... Closed 01/09/2013

History

#1 - 05/27/2014 08:13 AM - Dominic Cleal

- Category set to Puppet integration

#2 - 05/27/2014 08:14 AM - Dominic Cleal

- Related to Bug #2121: Unauthenticated YAML fact and reports importers can be exploited added

#3 - 08/14/2014 06:24 AM - cristian falcas

Can we also have access to other info from foreman based on machine certificates?

For example it will be useful to have access to

https:///$FOREMAN_URL/hosts/$CERTNAME/externalNodes?name=$CERTNAME

for use in facter or other custom scripts.

Thank you.
